//go:build wireinject

package main

import "github.com/google/wire"

// Approach A
func InjectGuessWithoutMock(rander Rander) *Guess {
	panic(wire.Build(GuessProviderSetWithoutMock))
}

// Approach B
func InjectRealGuess() *Guess {
	panic(wire.Build(GuessProviderSet))
}

// Approach B
func InjectMockGuess() *GuessWithMock {
	panic(wire.Build(MockGuessProviderSet))
}
